Packages

24 endpoints

GET/v1/packages

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
bash
curl -X GET "https://api.feeef.org/v1/packages" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/packages/{packageId}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

packageIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/packages/{packageId}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/packages/{packageId}/reviews

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

packageIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/packages/{packageId}/reviews" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/stores/{storeId}/licences

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/licences" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/stores/{storeId}/packages

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/packages" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/packages

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/packages/{packageId}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

PATCH/v1/stores/{storeId}/packages/{packageId}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X PATCH "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/packages/{packageId}/draft

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/draft" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

PATCH/v1/stores/{storeId}/packages/{packageId}/draft

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X PATCH "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/draft" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/draft/check

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/draft/check" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/draft/discard

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/draft/discard" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/draft/preview

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/draft/preview" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/publish

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/publish" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/review

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/review" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/packages/{packageId}/update

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/update" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/packages/{packageId}/update/merge

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/update/merge" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/files

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
versionIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/files" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/published

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
versionIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/published" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/yank

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
packageIdpath · stringRequired
versionIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/{packageId}/versions/{versionId}/yank" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/stores/{storeId}/packages/install

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/packages/install" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/template

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/template" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

PUT/v1/stores/{storeId}/template

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X PUT "https://api.feeef.org/v1/stores/{storeId}/template" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/template/preview

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/template/preview" \
  -H "Authorization: Bearer $FEEEF_TOKEN"